BAMF Application Matching Framework

LibreOffice Unity integration - opening an .odt file from dash or nautilus should yield correct icon and allow switching between the subsequently opened LO windows

Reported by Aibara Iduas on 2012-07-19
This bug affects 247 people
Affects Status Importance Assigned to Milestone
BAMF
Critical
Marco Trevisan (Treviño)
0.2
High
Marco Trevisan (Treviño)
0.3
Critical
Marco Trevisan (Treviño)
bamf (Ubuntu)
Critical
Marco Trevisan (Treviño)
Precise
Critical
Unassigned
Quantal
Undecided
Unassigned

Bug Description

IMPACT:

See description.

SRU TESTCASE:

0. make sure libreoffice writer is not pinned to the launcher
1. open libreoffice writer
2. save a .odt file
3. close libreoffice
4. open the .odt file directly from the location it was saved to.

What should happen:
a new icon for libreoffice writer should appear, not the generic libreoffice icon.

REGRESSION POTENTIAL:

Low, has already been well tested, but test again everything in this bug report.

-----ORIGINAL DESCRIPTION-----

LibreOffice applications are not coming up on the launcher properly as of a few weeks ago (can't remember exactly when).

If Calc or Draw is locked to launcher, all is normal.
Opening a specific application via the dash works as normal too.

However, problems arise if you open a document directly (from the dash or double clicking in Nautilus) when there is no icon pinned to the launcher:

Case #1
A white generic "Liberoffice" icon appears - not the proper application icon (eg a green one for Calc, a yellow one for Draw). If more documents are opened, no more wee triangles appear and the icon becomes useless: it cannot be clicked to switch to any open instance. There is no way to switch to it if the window is minimized, as now LibreOffice no longer appears in the alt-tab switcher.

Close LibreOffice.
Open a file directly again.

Case #2
Now the proper icon appears - but with an empty hole in between launcher and icon. If more documents are opened the white triangles appear and alt-tab still works, but the hole remains. Sometimes the hole is two icons wide.

Close LibreOffice.
Repeat.

Case #1 now reapers, and it will go back and forth ad infinitum.

Note that I don't get this problem with Writer or Impress, which is pretty weird. [EDIT: a number of people are also seeing the bug with Writer and Impress]

I've tried this with LibreOffice 3.5.3.2 and the PPA version (currently 3.5.5.3). I've also tested using lo-menubar and not, but it makes no difference. I've also tested it on two separate computers using Precise and purged all of LibreOffice and reinstalled... all to no avail.

Thanks.

EDIT:

This bug had been previously reported (and fixed) in Bug #842566.
Please do not mark this report as a duplicate of the afore-mentioned as it has been asked to create a new report when this issue reappeared (see this comment: https://bugs.launchpad.net/bamf/+bug/842566/comments/142)

WORKAROUND:

Missing windows can be found by using the super + W (for QWERTY keyboards; super + Z for AZERTY keyboards) to use the "spread" function.
This is also possible by using something like Ubuntu Tweak and setting a "hotcorner" wich triggers the spread function.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.12-0ubuntu1.1
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic-pae 3.2.19
Uname: Linux 3.2.0-26-generic-pae i686
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu11
Architecture: i386
CheckboxSubmission: 02d945a9613042f2308305da996afd9c
CheckboxSystem: bb422ca46d02494cdbc459927a98bc2f
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,move,mousepoll,text,regex,place,resize,vpswitch,animation,imgpng,wall,gnomecompat,fade,unitymtgrabhandles,grid,session,expo,workarounds,scale,scaleaddon,ezoom,unityshell]
CompositorRunning: compiz
Date: Wed Jul 18 22:47:35 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
GraphicsCard:
 Advanced Micro Devices [AMD] nee ATI M66GL [ATI Mobility FireGL V5250] [1002:71d4] (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:20a4]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release i386 (20120423)
MachineType: LENOVO 8744C9U
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-26-generic-pae root=UUID=44c74264-d974-483f-8a85-b5bd529e4340 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/16/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 7IET33WW (1.14 )
dmi.board.name: 8744C9U
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7IET33WW(1.14):bd04/16/2008:svnLENOVO:pn8744C9U:pvrThinkPadT60p:rvnLENOVO:rn8744C9U:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 8744C9U
dmi.product.version: ThinkPad T60p
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.7.8-0ubuntu1.2
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3.1
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.6
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Aibara Iduas (aibaraiduas) wrote :
Aibara Iduas (aibaraiduas) wrote :
Aibara Iduas (aibaraiduas) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed

Unity 5.1.14 , Ubuntu 12.04 x64 - the bug is still there... :(

Dan Jared (danjaredg) wrote :

This happen with libreoffice write too, Ubuntu 12.04 and Unity 5.12-0ubuntu1.1, check the file attachment

Aibara Iduas (aibaraiduas) wrote :

I've run across a bunch of problems with LibreOffice integration with the launcher. Sometimes, for instance, a locked icon of an application won't register when the program is opened, so another (yet identical) icon will appear. What I reported was the only bug which I could reproduce consistently. I actually did get the bug with Writer, as Dan Jared shows above, but it only happened once.

Mathias Dietrich (theghost) wrote :

I also have this issue everytime using writer. Either the white lo icon appears and I have problems to refocus lo when I open another applications on the same workspace or the Writer icon appears (+ an empty launcher entry with no icon) where I can select Writer when other applications are running.

All in all I have to say LibreOffice integration in Unity is really really broken. I cannot understand why this bug is still there, because LibreOffice is one of Ubuntu's main applications and no one recognized this issues. It's easily reproducable, see bug opener or just open a saved *.odt file for example, use some other applications (normal workflow).

Amr Ibrahim (amribrahim1987) wrote :

Libreoffice Writer is broken broken too.

description: updated
summary: - LibreOffice Calc and Draw launcher integration broken
+ LibreOffice Calc and Draw Unity integration (launcher and switcher) is
+ broken
Omer Akram (om26er) on 2012-08-07
Changed in bamf:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: New → Confirmed
affects: unity (Ubuntu) → unity

A very non technical observation from me is that due to some race condition the white icon that appears momentarily in the attached video gets stuck there as newly created window icon... (I can't reproduce the issue here with Ubuntu 12.10)

Omer Akram (om26er) wrote :
Changed in bamf:
importance: Undecided → High
Changed in unity:
importance: Undecided → High
Matthieu FAURE (mfaure) wrote :

(thanks stephane-guillou for bringing us here from #842566)

After more than a month trying to reproduce this bug, I just found a "steps to reproduce" with Writer !
(at least on my computer)

1. Open (let say) Firefox and Nautilus
2. Open LibreOffice Writer with a document
3. Verify you can ALT-TAB from one app to the other
4. In Writer, type some text and insert a footnote
5. ALT-TAB at least once: you can no more access Writer

It seems some given Writer actions trigger something weird with Unity...

Hi

I have libreOffice 1:3.5.4-0ubuntu1, when i open libreoffice from the dash i have no problems, but when i open from the launcher from an locked icon the problem apears.
So
1.- Open Writer
2.- Lock Icon
3.- Close Writer
4.- Open Writer from panel
5.- Writer don't appear in ALT-TAB swicher
6.- Close writer

I have attached a video with the steps to reproduce the bug

I need to check this better, but have you installed the package libreoffice-filter-binfilter? It used to cause some troubles some time ago....

pwaring (launchpad-pwaring) wrote :

I'm experiencing the same problem with LibreOffice/Unity and I don't have libreoffice-filter-binfilter installed.

rpr nospam (rpr-nospam) wrote :

In my case, after removing libreoffice-filter-binfilter package the situation is better -- Calc and Draw window are shown on Alt-Tab swicher.
But I still have case #1 and #2 from the original bug report.

Matthieu FAURE (mfaure) wrote :

I have LibreOffice 3.5.5~rc3-0ubuntu1~ppa1 and I remove the binfilters (libobasis3.4-binfilter libobasis3.4-en-us-binfilter libobasis3.4-fr-binfilter libreoffice3.4-ure).

That didn't change anything for me. When I add a footnote and switch with ALT-TAB, I can no longer access LibreOffice. But the new point is that the LibreOffice icon is actually present when i do ALT-TAB, but it is ineffective.

I dont have the packge libreoffice-filter-binfilter installed
what can i do to help?

Aibara Iduas (aibaraiduas) wrote :

I don't understand how with the same versions of the software people have different problems. So odd. For instance, I cannot reproduce Matthieu's footnote bug (thank god, since I use footnotes all the time!), nor Franciso's. I'm not using binfilters, if it matters.

Greg Lynch (gregalynch) wrote :

I have this issue as well, and I had assumed it was linked to lo-menubar. This has caused other launcher problems for me in the past, but I re-installed it because the benefits outweight the costs for me. Do others who are experiencing the bug have lo-menubar installed, too?

pwaring (launchpad-pwaring) wrote :

I don't have lo-menubar installed and am experiencing the same problem.

Dac Chartrand (conner-bw) wrote :

I installed "lo-menubar" thinking the problem would go away.
It did not.
Both with and without lo-menubar, the problem persists on 12.04

Unity 6.2, Ubuntu 12.10 x64
The problem is still there.

Peter Harvey (pdqharvey) wrote :

Ubuntu 12.04, x64

Problem still here. At the moment I am only experiencing it with Calc.

Symptoms: generic white icon in Unity launcher, with 'empty' arrow-head, rather than 'full' (white) one; no icon at all in application switcher. Clicking icon in launcher does nothing if only Calc documents are open, but returns to a Writer document if there is one open.

Restarting Unity (unity --replace) rectifies the situation for a while (when application-specific icons - i.e. green for Calc - appear in launcher and app-switcher).

Have tried to reproduce the issue in Writer using the 'footnote' method above, but for the moment Writer behaves correctly. Have not tested other LO applications.

Greg Lynch (gregalynch) wrote :

I am currently experiencing this with calc and similar problems with writer. In one session today (a) opening a new instance of writer failed to associate the window with any icon in the launcher. Later (b) a new window was associated with the generic white LO icon. Later (3) a different window generated a second writer icon on the launcher (besides the one that is pinned) and the window was associated with it.

A restart typically solves the problem -- for a while. Generally by the end of the day it will have returned, though.

Karl Kropf (ksk-clara) wrote :

I've also have this problem and filed a separate bug report, Bug #1027000. As with most of the other comments above, the symptoms are variable and difficult to describe exhaustively. I mainly use Writer and Calc and it affects both of these.

Omer Akram (om26er) on 2012-08-19
Changed in unity:
milestone: none → 6.4
Ari (ari-lp) wrote :

Ubuntu 12.04 LTS, LO 3.6.0.4. Same behaviour.

Exeleration-G (exeleration-g) wrote :

Writer is affected too. Please update the title accordingly.

Greg A (etulfetulf) on 2012-08-23
summary: - LibreOffice Calc and Draw Unity integration (launcher and switcher) is
- broken
+ LibreOffice Unity integration (launcher and switcher) is broken
description: updated

Some observations:
1. when I unlock it from launcher, my Writer icon doesn't disappear -- how can I force it to be removed?
2. when I right-click this 'zombie' launcher, I see 'new document' then a blank space, then 'lock to launcher' (how can an icon stay there when it's been unlocked is isn't currently running??)
3. when I click this launcher, I get a new panel icon, separate form the launcher icon. The little triangles appear next to the new icon, nothing on the original one.

Come on, Canonical! Unity is your flagship product...

sulliwane (sulliwane) wrote :

Ubuntu 12.04.1 LTS & LibreOffice 3.6.0.2 (Build ID: 360m1(Build:102)) is affected too. A clic on the unity launcher/icon doesn't show up libreoffice. And i get the white icon, instead of green/blue icon when calc/writer are opened.

Dac Chartrand (conner-bw) wrote :

Here's a screencast (OGV) of the bug in action.
4 different bugs in the unity launcher with the same action (double clicking a file).
Hope this helps.

menner (menner) wrote :

In my case, the title of the Unity starter icon of LO Calc changed from "LibreOffice Calc" (original value) to "MyDocument.doc - LibreOffice Writer" ! Really, Writer, not Calk, but it is still green and starts Calc (with additional empty icon and additional green icon). That wrong icon title might be the reason why the Uniti icon matching for LO Calc doesn't work any more, and I get additional white or green icons for calc documents (both xls and ods opened via Nautilus).

It affect me too in Impress but no problem in Writer. Strange. Not tested in other LO application.

Unity 6.4, Ubuntu 12.10 x64 . The main problems are still there.

Changed in unity:
milestone: 6.4 → 6.6
Subhadip Ghosh (subhadip-sky) wrote :

Ubuntu 12.04 still uses Unity 5.x. Won't there be any fix for 12.04 LTS? This problem was originally reported for 12.04.

Sergio Benjamim (sergio-br2) wrote :

it happens also in Ubuntu 12.04.1

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.1 LTS
Release: 12.04
Codename: precise

dpkg -l | grep "unity"
unity 5.14.0-0ubuntu1

dpkg -l | grep libreoffice-base-core
libreoffice-base-core 1:3.5.4-0ubuntu1.1

annoying bug...

Ray Wang (raywang) wrote :

As a workaround, one can use "Super + W" combination to switch to libreoffice windows...

Damien Lecan (dlecan) wrote :

This is a regression on a major Ubuntu version, with Long Terme Support.

This bug is opened for more than 2 months, affecting many users and confirmed by many users.
LibreOffice is almost unusuable !

Many users around me, convinced to use Ubuntu, are thinking about switching back to Windows because ... it works (on that point).

Please, it's high time to fix this regression.

I agree with comment #39, my current work it is not related with programing in any way but my former work was in IT (APM and bugs squad related), so i have certain knowledge that permits me to find a workaround, but it is just me. People working in not programing works don't have a clue about bugs and workarounds, and this is the people that are your main target client.

This bug appear in 11.10 and it's back in 12.04 (LTS), i dont think it is a extreme dificult bug and i don't know what it taking so long to fix it properly.

Please make this bug a priority

Omer Akram (om26er) on 2012-09-12
Changed in bamf:
importance: High → Critical
Changed in unity:
importance: High → Critical
Omer Akram (om26er) on 2012-09-12
Changed in unity:
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity:
milestone: 6.6 → 7.0
Changed in bamf:
milestone: none → 0.3.2
Changed in bamf:
status: Confirmed → In Progress
status: In Progress → Confirmed
Changed in bamf:
milestone: 0.3.2 → 0.3.4
Omer Akram (om26er) on 2012-10-04
Changed in bamf:
status: Confirmed → In Progress
Changed in unity:
status: Confirmed → In Progress
status: In Progress → Confirmed
Changed in unity:
status: Confirmed → In Progress
Changed in bamf:
status: In Progress → Fix Committed
no longer affects: unity
no longer affects: unity/6.0
Changed in bamf (Ubuntu):
status: New → Fix Committed
Changed in unity (Ubuntu):
status: New → Fix Committed
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in bamf (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in bamf (Ubuntu):
status: Fix Committed → Fix Released
Changed in bamf:
milestone: 0.3.4 → 0.4.0
Omer Akram (om26er) on 2012-10-12
Changed in bamf (Ubuntu):
importance: Undecided → Critical
Changed in bamf (Ubuntu Precise):
importance: Undecided → Critical
status: New → Triaged
Omer Akram (om26er) on 2012-10-12
description: updated
no longer affects: unity (Ubuntu)
no longer affects: unity (Ubuntu Precise)
Changed in bamf:
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
description: updated
94 comments hidden view all 174 comments
vanadium (ftack) wrote :

Good to hear that a solution is very near now.

I am working with 12.04, so I will indeed test the bug fix in proposed as it is released.

With the tray icon activated (i.e. "Enable systray quicklauncher" checked under Options - LibreOffice - memory) I was not able to trigger the issue when opening and closing documents. However, a very easy way to trigger the bug, with or without "Enable systray quicklauncher" checked, is for me
- open two libreoffice documents by launching them from nautilus
- In libreoffice, Use File - Exit (that presumably also closes the LO quicklauncher)
- lauch a libreoffice document from nautilus: it is not anymore associated with the Unity launcher.

Hello Aibara, or anyone else affected,

Accepted bamf into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/bamf/0.2.118-0ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in bamf (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed

Hello Colin Watson,

Its works great here (proposed enabled, of course).

Thanks for this. Now I can recommend Ubuntu to my friends.

tags: added: verification-done
removed: verification-needed
rpr nospam (rpr-nospam) wrote :

Unfortunately, I still have this bug on Ubuntu 12.04 64-bit with LibO 3.5.4.2 and bamfdaemon 0.2.118-0ubuntu0.3.

I'm not able to provide the exact steps for reproducing the bug as the behaviour is not consistent. Usually, after opening and closing multiple documents with Writer and Calc (by double clicking document icons, one or more at a time) I get an invisible Writer of Calc icon (empty space) on the launcher.

I'm attaching some screenshots that illustrate the issue.

tags: added: verification-failed
removed: verification-done
Edgar Cherkasov (edgar2705) wrote :

I have same bug with empty space

Timo Jyrinki (timo-jyrinki) wrote :

Hi. The bug fix is supposed to fix the most common problem, described in the test case, and also in my testing it does fix it. You do need to restart bamfdaemon (/reboot computer).

There are other related bugs including bug #1063862 and bug #886778, which have now fixes committed for the bamf upstream branch concerning12.04. Testing for those and a couple more will begin as soon as we get this single cherry-pick bug fix in.

tags: added: verification-done
removed: verification-failed
Timo Jyrinki (timo-jyrinki) wrote :

(plus bug #772986 fix coming to Unity about missing launcher icons)

rpr nospam (rpr-nospam) wrote :

Timo Jyrinki wrote:
> The bug fix is supposed to fix the most common problem, described in
> the test case, and also in my testing it does fix it. You do need to
> restart bamfdaemon (/reboot computer).

According to the bug title, "LibreOffice Unity integration (launcher
and switcher) is broken", it should include all the recent issues with
the LibreOffice integration in Unity launcher and switcher. If it
supposed to fix only the issue of the generic LibreOffice icon in the
launcher, then the bug title should be changed.

BTW, I did restart the system before my testing.

summary: - LibreOffice Unity integration (launcher and switcher) is broken
+ LibreOffice Unity integration - opening an .odt file from dash or
+ nautilus should yield correct icon and allow switching between the
+ subsequently opened LO windows
Timo Jyrinki (timo-jyrinki) wrote :

rpr nospam: I agree. It's easier to manage bugs when they're not overly broad, when the bug in question is not in fact a single bug but a combination of several bugs.

New bugs should be filed for separate issues, while first checking from both bamf and unity bug reports if something's filed already. To re-iterate, at least these bugs may apply to LibreOffice integration:

bug #1063862 - fixed in the next bamf SRU after this one
bug #886778 - needs both the next bamf and unity SRU, but both fixes are committed and scheduled for releasing
bug #772986 - fixed in the next unity SRU
bug #925421 - bamf part already fixed, Unity part would possibly need a backport? or maybe the bamf fix is enough
bug #899120 - a packaging bug, would need someone to fix it
bug #762193 - status? maybe should not be "Triaged". see the multiple bugs linked, some marked fixed, could be duplicates
bug #1018995 - no work done, in case the bug still exists with all the other fixes

All the fixes that have already been done are available in Ubuntu 12.10 at the moment. The tentative schedule is to upload the next Ubuntu 12.04 LTS Unity SRU (5.18.0) later this week, after it will need to propagate from queue to -proposed for verifying and finally -updates. The next bamf SRU (0.2.124) would be done eg. next week if this cherry-pick bug fixes reaches -updates by then. I hope this answers a bit on what's going on for 12.04 at the moment.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bamf (Ubuntu Quantal):
status: New → Confirmed
Changed in bamf (Ubuntu Quantal):
status: Confirmed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.2.118-0ubuntu0.3

---------------
bamf (0.2.118-0ubuntu0.3) precise-proposed; urgency=low

  * lib/libbamf/bamf-factory.c:
    - LibreOffice Unity integration (launcher and switcher) is broken.
      (LP: #1026426)
 -- Omer Akram <email address hidden> Fri, 12 Oct 2012 17:20:49 +0500

Changed in bamf (Ubuntu Precise):
status: Fix Committed → Fix Released
photonic (photonic) wrote :

Hi,

I just installed the patch from recommended updates, which had a link to this bug report. I tried with a new document both before and after applying the patch, the new behavior is now as expected, it shows the proper logo. It now does however something funny: when double-clicking the document on the desktop, the launcher shows the empty document logo for a split-second, followed by the correct logo of writer. When closing libreoffice, the reverse happens and the empty document shows for a short moment before disappearing from the launcher. Is this expected? I do not see this behavior with any other program.

rpr nospam (rpr-nospam) wrote :

@photonic (#147)
I'd say this behavior is expected (I see it also on Ubuntu 12.04 with bamf 0.2.118-0ubuntu0.3).
Probably, it's because all LibreOffice applications actually use one executable:
/usr/lib/libreoffice/program/soffice.bin

Try to invoke the following commands (one at a time) from the command line and watch the icon that appears on the Launcher:

/usr/lib/libreoffice/program/soffice.bin &
/usr/lib/libreoffice/program/soffice.bin --writer &
/usr/lib/libreoffice/program/soffice.bin --calc &
/usr/lib/libreoffice/program/soffice.bin --impress &
/usr/lib/libreoffice/program/soffice.bin /usr/lib/libreoffice/CREDITS.odt &

The first command (soffice.bin without arguments) gives white (generic) LibO icon while the other commands give the icon corresponding to the LibO application opened.

Greg Lynch (gregalynch) wrote :

@trucoto

I've had that problem for a while, and it seems to be getting worse the past few days. I filed a bug report for it (#1013725) a while ago, but it doesn't seem to have gotten much attention. Maybe its a duplicate of another report I haven't seen.

Sebastian Ilea (s3b4) wrote :

Ubuntu 12.04 64 bit.

Bug still present.

Changed in bamf:
status: Fix Committed → Fix Released
rg (rob-themayfire) wrote :

Ubuntu 12.10 and LibreOffice 1:3.6.2.
Bug still present.

rpr nospam (rpr-nospam) wrote :

@rg
That's why I moved from Ubuntu 12.04 64 bit to Linux Mint with Cinnamon.

Although the Unity is a good idea, its implementation is broken. After years of development it still has annoying bugs, like this one. It seems to me that Ubuntu is tested with having only average home users in mind (who run only a media player, Firefox and Thunderbird). But there are users who create text documents, spreadsheets, presentations, diagrams, and have 10+ documents open at the same time. They want an efficient, customizable and bug-free desktop environment.

Mathias Dietrich (theghost) wrote :

@rpr-nospam

I have the same impression. Regarding that LibreOffice is/was broken in Ubuntu at every release since at least 12.04, it seems that no takes this bugs serios. 12.04 the global menu / launcher was broken, 12.10 libreoffice creating diagrams, 13.04 libreoffice menu is broken. Problem is, the bugs were there long before each release but there are not getting fixed or fixed with large delay.

Normally every company would say we cannot release a broken product or at least we fix this at 1st day on release but that never happened. I use Ubuntu since 8.04 but quality is not getting better, even if in 13.04 Unity was more stable (after 2 years).

Martin Wildam (mwildam) wrote :

Bug again here since my last updates, currently using LibreOffice 4.1.0.4 on Ubuntu 12.04 64-bit.
bamf reported to be installed is 0.2.126.

Tried with or without logo=0 - different results looking like a race condition - basically what others already reported.

And although setting logo=0 I get an oosplash process started alongside soffice.bin. Don't get the sense of that.

Interestingly, when I start libreoffice plain (from the dash) I get a slightly different icon as if I start it by double-clicking a .odt file. The grouping works when I double click a .doc or .docx file. So somehow problem must be related to mime-types opened.

Similar behaviour with calc and impress (didn't test base because I don't really use it).

I am sooo frustrated - during the last months several problems with libreoffice, other very old bugs still not solved although hoped a lot for 4.1.0.4. I (still) hate Windows but such basic problems never made it into a release of a version or patch.

Martin Wildam (mwildam) wrote :

I found an older laptop that haven't updated for a while - also Ubuntu 12.04, but 32-bit. Found same bamf version there (0.2.126) but no problem with Libreoffice (being still in version 3-something). Tried to copy the relevant .desktop-files from the working version without success.

Martin Wildam (mwildam) wrote :

For hours I tried to clean up all configuration files that should be involved with this problem. All without success

Attached you find my
/usr/lib/mime/packages/libreoffice-writer

Martin Wildam (mwildam) wrote :

And the /usr/share/applications/libreoffice-writer.desktop
I don't have any libreoffice-desktop-files any more in my ~/.local/... to avoid accidential priority ranking.

Martin Wildam (mwildam) wrote :

I have also tried copying over the desktop files from the other workstation that is working (with older libreoffice-version). Did not help. I still get random effects (doubled icon, not any icon, second and third icon when opening a document, icon with question-mark).

What I still cannot get rid of: When starting libreoffice writer (as example, all the latest tests I did only with writer although the other modules seem to behave in the same way) the icon is slightly different from the variant I see when double-clicking a file.

I tried linking to the same icon in desktop file that I guess is used when double-clicking (scalable svg-icon), but without success (see mini-screenshot "Icon-Difference").

Can somebody explain to me how the "business logic" of BAMF is? So that I can get an idea what it takes for grouping?

In my current situation I don't get any grouping for LibreOffice (any more).

Martin Wildam (mwildam) wrote :

When opening several files in parallel by double-click I get the same icon but still not grouped so I really do not know what it still takes to get BAMF knowing that it has to group.

However, I think there is a bug in LibreOffice here too or another module different from BAMF because my other laptop with older LibreOffice but same BAMF works fine.

Martin Wildam (mwildam) wrote :

(12.04 64-bit bamf 0.2.126) - and still there after upgrading LibreOffice to version 4.1.1.2, Build ID: 410m0(Build:2) right now.

Ubuntu 12.04.3
Libreoffice version 4.1.1.2

This bug is still bugging me. Specifically,

Alt + tab does not work for some opened
libreoffice documents.

Libreoffice icon in unity does not
reflect the type of opened libreoffice file;
that is, instead of icon for presentation,
the general (white) libreoffice icon appears
in unity.

Clicking the icon in the unity panel does
not show up the opened file.

rpr nospam (rpr-nospam) wrote :

Murakami, is the LibreOffice installed from Ubuntu repository or from the deb file downloaded from https://www.libreoffice.org/download ?

Please, run the following in a terminal:

which soffice

If you get /usr/bin/soffice then you have LibreOffice from Ubuntu repository.

If you get a path starting with /opt then you have LibreOffice installed from https://www.libreoffice.org/download (which is also a common scenario as Linux users want to have the latest LibreOffice as soon as possible).

LibreOffice Unity integration should work correctly in both cases. I wonder if developers tested BAMF (and possible other components) with both LibreOffice installation scenarios.

Adam Niedling (krychek) wrote :

I have a Ubuntu 12.04 box that has Libreoffice 4.1 installed from the official PPA. I also have the proposed repo enabled.
I'm still experiencing problems with the launcher.
Sometimes two icons appear on the launcher instead of one and one of them does nothing when clicked.
The general white Libreoffice icon appears instead of the specific one that reflects the type of the opened document.

First I installed LO and then I enabled the proposed repo. Maybe it should have been in the other way around?

Mathias Dietrich (theghost) wrote :

@krycheck: The order has no influence, as in general always the highest version is preferred, in this case LO 4.1. Additionally, there is no newer version of BAMF in proposed right now, this means having proposed activated or not, has no influence here.

Most likely, Ubuntu has patched it's Libreoffice version in it's repos and this patch is not included upstream in 4.1.
But maybe, Ubuntu patched BAMF to only work with LibreOffice 3.5 from the repos. Who knows...

If you want proper working LO, either use another Desktop Environment or use the 3.5 version of Ubuntu's repos.
All in all, 3.5.7 is a good version as it is much more stable, than the latest versions of LibreOffice, but that's just my experience in productivity use.

Since this bug is not depending on packages on main is not highest priority, however please open a new bug related to lo-4.1 and bamf. This doesn't seem to affect saucy at all (that uses a more generic matching system for LO, no more special code).

Ok, so I've just checked what's happening on precise, and it seems that new LO desktop files include the StartupWMClass key.
This is ok and Bamf can use it for matching, the problem is that the LO windows are slow on updating their window class and this leads to a matching error in precise (this won't happen in saucy instead).

A woarkaround for people affected by this is just removing that key from files by running:
  sudo sed '/StartupWMClass=.*/d' -i /usr/share/applications/libreoffice-*.desktop

A code fix will be released as well. Move to bug #1238122 to track this.

Download full text (7.2 KiB)

@Marco: Let me give you one sentence: You are my hero, thanks!
@Mathias: Thanks for your explanation as I guess this helped Marco
finding the solution.

On Thu, Oct 10, 2013 at 6:10 PM, Marco Trevisan (Treviño)
<mail@3v1n0.net> wrote:
> Ok, so I've just checked what's happening on precise, and it seems that new LO desktop files include the StartupWMClass key.
> This is ok and Bamf can use it for matching, the problem is that the LO windows are slow on updating their window class and this leads to a matching error in precise (this won't happen in saucy instead).
>
> A woarkaround for people affected by this is just removing that key from files by running:
> sudo sed '/StartupWMClass=.*/d' -i /usr/share/applications/libreoffice-*.desktop
>
> A code fix will be released as well. Move to bug #1238122 to track this.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1026426
>
> Title:
> LibreOffice Unity integration - opening an .odt file from dash or
> nautilus should yield correct icon and allow switching between the
> subsequently opened LO windows
>
> Status in BAMF Application Matching Framework:
> Fix Released
> Status in BAMF 0.2 series:
> Fix Released
> Status in BAMF 0.3 series:
> Fix Released
> Status in “bamf” package in Ubuntu:
> Fix Released
> Status in “bamf” source package in Precise:
> Fix Released
> Status in “bamf” source package in Quantal:
> Fix Released
>
> Bug description:
> IMPACT:
>
> See description.
>
> SRU TESTCASE:
>
> 0. make sure libreoffice writer is not pinned to the launcher
> 1. open libreoffice writer
> 2. save a .odt file
> 3. close libreoffice
> 4. open the .odt file directly from the location it was saved to.
>
> What should happen:
> a new icon for libreoffice writer should appear, not the generic libreoffice icon.
>
> REGRESSION POTENTIAL:
>
> Low, has already been well tested, but test again everything in this
> bug report.
>
> -----ORIGINAL DESCRIPTION-----
>
> LibreOffice applications are not coming up on the launcher properly as
> of a few weeks ago (can't remember exactly when).
>
> If Calc or Draw is locked to launcher, all is normal.
> Opening a specific application via the dash works as normal too.
>
> However, problems arise if you open a document directly (from the dash
> or double clicking in Nautilus) when there is no icon pinned to the
> launcher:
>
> Case #1
> A white generic "Liberoffice" icon appears - not the proper application icon (eg a green one for Calc, a yellow one for Draw). If more documents are opened, no more wee triangles appear and the icon becomes useless: it cannot be clicked to switch to any open instance. There is no way to switch to it if the window is minimized, as now LibreOffice no longer appears in the alt-tab switcher.
>
> Close LibreOffice.
> Open a file directly again.
>
> Case #2
> Now the proper icon appears - but with an empty hole in between launcher and icon. If more documents are opened the white triangles appear and alt-tab still works, but the hole remains. Sometimes the hole is two icons wide.
>
> Close LibreOf...

Read more...

adrianl. (gyo) wrote :

I experienced the same problem on ubuntu 12.04 64bit and LO 4.1.1.2.

The suggested solution in #166 worked like a charm. Thanks.

Martin Wildam (mwildam) wrote :
Download full text (6.8 KiB)

FYI: I still need to run the fix after each LibreOffice-Update in Ubuntu
12.04 with LibreOffice ppa enabled.

On Thu, Oct 31, 2013 at 3:27 PM, adrianl. <email address hidden>wrote:

> I experienced the same problem on ubuntu 12.04 64bit and LO 4.1.1.2.
>
> The suggested solution in #166 worked like a charm. Thanks.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1026426
>
> Title:
> LibreOffice Unity integration - opening an .odt file from dash or
> nautilus should yield correct icon and allow switching between the
> subsequently opened LO windows
>
> Status in BAMF Application Matching Framework:
> Fix Released
> Status in BAMF 0.2 series:
> Fix Released
> Status in BAMF 0.3 series:
> Fix Released
> Status in “bamf” package in Ubuntu:
> Fix Released
> Status in “bamf” source package in Precise:
> Fix Released
> Status in “bamf” source package in Quantal:
> Fix Released
>
> Bug description:
> IMPACT:
>
> See description.
>
> SRU TESTCASE:
>
> 0. make sure libreoffice writer is not pinned to the launcher
> 1. open libreoffice writer
> 2. save a .odt file
> 3. close libreoffice
> 4. open the .odt file directly from the location it was saved to.
>
> What should happen:
> a new icon for libreoffice writer should appear, not the generic
> libreoffice icon.
>
> REGRESSION POTENTIAL:
>
> Low, has already been well tested, but test again everything in this
> bug report.
>
> -----ORIGINAL DESCRIPTION-----
>
> LibreOffice applications are not coming up on the launcher properly as
> of a few weeks ago (can't remember exactly when).
>
> If Calc or Draw is locked to launcher, all is normal.
> Opening a specific application via the dash works as normal too.
>
> However, problems arise if you open a document directly (from the dash
> or double clicking in Nautilus) when there is no icon pinned to the
> launcher:
>
> Case #1
> A white generic "Liberoffice" icon appears - not the proper application
> icon (eg a green one for Calc, a yellow one for Draw). If more documents
> are opened, no more wee triangles appear and the icon becomes useless: it
> cannot be clicked to switch to any open instance. There is no way to switch
> to it if the window is minimized, as now LibreOffice no longer appears in
> the alt-tab switcher.
>
> Close LibreOffice.
> Open a file directly again.
>
> Case #2
> Now the proper icon appears - but with an empty hole in between launcher
> and icon. If more documents are opened the white triangles appear and
> alt-tab still works, but the hole remains. Sometimes the hole is two icons
> wide.
>
> Close LibreOffice.
> Repeat.
>
> Case #1 now reapers, and it will go back and forth ad infinitum.
>
> Note that I don't get this problem with Writer or Impress, which is
> pretty weird. [EDIT: a number of people are also seeing the bug with
> Writer and Impress]
>
> I've tried this with LibreOffice 3.5.3.2 and the PPA version
> (currently 3.5.5.3). I've also tested using lo-menubar and not, but it
> makes no difference. I've also tested it on two separate computers
> using ...

Read more...

Goghard (goghard) wrote :

I updated LO to 4.2 in Ubuntu 12.04, and it have the same problem, even with the workaround (#166).

Martin Wildam (mwildam) wrote :
Download full text (6.7 KiB)

You have to re-apply the patch after each update unfortunately.

--
Martin Wildam

http://martin.wildam.org/
Am 07.02.2014 16:15 schrieb "Goghard" <email address hidden>:

> I updated LO to 4.2 in Ubuntu 12.04, and it have the same problem, even
> with the workaround (#166).
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1026426
>
> Title:
> LibreOffice Unity integration - opening an .odt file from dash or
> nautilus should yield correct icon and allow switching between the
> subsequently opened LO windows
>
> Status in BAMF Application Matching Framework:
> Fix Released
> Status in BAMF 0.2 series:
> Fix Released
> Status in BAMF 0.3 series:
> Fix Released
> Status in “bamf” package in Ubuntu:
> Fix Released
> Status in “bamf” source package in Precise:
> Fix Released
> Status in “bamf” source package in Quantal:
> Fix Released
>
> Bug description:
> IMPACT:
>
> See description.
>
> SRU TESTCASE:
>
> 0. make sure libreoffice writer is not pinned to the launcher
> 1. open libreoffice writer
> 2. save a .odt file
> 3. close libreoffice
> 4. open the .odt file directly from the location it was saved to.
>
> What should happen:
> a new icon for libreoffice writer should appear, not the generic
> libreoffice icon.
>
> REGRESSION POTENTIAL:
>
> Low, has already been well tested, but test again everything in this
> bug report.
>
> -----ORIGINAL DESCRIPTION-----
>
> LibreOffice applications are not coming up on the launcher properly as
> of a few weeks ago (can't remember exactly when).
>
> If Calc or Draw is locked to launcher, all is normal.
> Opening a specific application via the dash works as normal too.
>
> However, problems arise if you open a document directly (from the dash
> or double clicking in Nautilus) when there is no icon pinned to the
> launcher:
>
> Case #1
> A white generic "Liberoffice" icon appears - not the proper application
> icon (eg a green one for Calc, a yellow one for Draw). If more documents
> are opened, no more wee triangles appear and the icon becomes useless: it
> cannot be clicked to switch to any open instance. There is no way to switch
> to it if the window is minimized, as now LibreOffice no longer appears in
> the alt-tab switcher.
>
> Close LibreOffice.
> Open a file directly again.
>
> Case #2
> Now the proper icon appears - but with an empty hole in between launcher
> and icon. If more documents are opened the white triangles appear and
> alt-tab still works, but the hole remains. Sometimes the hole is two icons
> wide.
>
> Close LibreOffice.
> Repeat.
>
> Case #1 now reapers, and it will go back and forth ad infinitum.
>
> Note that I don't get this problem with Writer or Impress, which is
> pretty weird. [EDIT: a number of people are also seeing the bug with
> Writer and Impress]
>
> I've tried this with LibreOffice 3.5.3.2 and the PPA version
> (currently 3.5.5.3). I've also tested using lo-menubar and not, but it
> makes no difference. I've also tested it on two separate computers
> using Precise and purged all of LibreOffice and reins...

Read more...

Goghard (goghard) wrote :

Thank you, Martin. Unfortunately I re-apply the patch and the problem persist using LO 4.2.
I tested LO 4.2 on three separate computers using Ubuntu 12.04 whith the same result.
I downgraded to LO 4.1, which works better with the patch.

Martin Wildam (mwildam) wrote :
Download full text (7.0 KiB)

I am using LO 4.2.2.1 and at last update I had problems with icons got
duplicated when more than one document were open.

I found out that under ~/.local/share/applications I had old
.desktop-links - and unity uses those in your home folder prior to
those in /usr/share/applications

Now I don't have problems with icons any more.

On Mon, Mar 17, 2014 at 7:56 PM, Goghard <email address hidden> wrote:
> Thank you, Martin. Unfortunately I re-apply the patch and the problem persist using LO 4.2.
> I tested LO 4.2 on three separate computers using Ubuntu 12.04 whith the same result.
> I downgraded to LO 4.1, which works better with the patch.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1026426
>
> Title:
> LibreOffice Unity integration - opening an .odt file from dash or
> nautilus should yield correct icon and allow switching between the
> subsequently opened LO windows
>
> Status in BAMF Application Matching Framework:
> Fix Released
> Status in BAMF 0.2 series:
> Fix Released
> Status in BAMF 0.3 series:
> Fix Released
> Status in “bamf” package in Ubuntu:
> Fix Released
> Status in “bamf” source package in Precise:
> Fix Released
> Status in “bamf” source package in Quantal:
> Fix Released
>
> Bug description:
> IMPACT:
>
> See description.
>
> SRU TESTCASE:
>
> 0. make sure libreoffice writer is not pinned to the launcher
> 1. open libreoffice writer
> 2. save a .odt file
> 3. close libreoffice
> 4. open the .odt file directly from the location it was saved to.
>
> What should happen:
> a new icon for libreoffice writer should appear, not the generic libreoffice icon.
>
> REGRESSION POTENTIAL:
>
> Low, has already been well tested, but test again everything in this
> bug report.
>
> -----ORIGINAL DESCRIPTION-----
>
> LibreOffice applications are not coming up on the launcher properly as
> of a few weeks ago (can't remember exactly when).
>
> If Calc or Draw is locked to launcher, all is normal.
> Opening a specific application via the dash works as normal too.
>
> However, problems arise if you open a document directly (from the dash
> or double clicking in Nautilus) when there is no icon pinned to the
> launcher:
>
> Case #1
> A white generic "Liberoffice" icon appears - not the proper application icon (eg a green one for Calc, a yellow one for Draw). If more documents are opened, no more wee triangles appear and the icon becomes useless: it cannot be clicked to switch to any open instance. There is no way to switch to it if the window is minimized, as now LibreOffice no longer appears in the alt-tab switcher.
>
> Close LibreOffice.
> Open a file directly again.
>
> Case #2
> Now the proper icon appears - but with an empty hole in between launcher and icon. If more documents are opened the white triangles appear and alt-tab still works, but the hole remains. Sometimes the hole is two icons wide.
>
> Close LibreOffice.
> Repeat.
>
> Case #1 now reapers, and it will go back and forth ad infinitum.
>
> Note that I don't get this problem with Writer or Impress, which is
> pretty weir...

Read more...

sma (m-0622) wrote :

I experienced the same as Martin Wildam. Two days ago I upgraded from Ubuntu 12.04 LTS to 14.04 LTS. Many month ago I edited the Quicklist of the LO Writer-Icon using Ubuntu Tweak. This action resulted in a file named libreoffice-writer.desktop in ~/.local/share/applications. After upgrading to Ubuntu 14.04 LTS this file was used again and I faced the problem with double icons of Writer in the Launcher. I deleted the file named libreoffice-writer.desktop in ~/.local/share/applications. Now I have always only one icon of Writer in the Launcher because Ubuntu now uses the original file in /usr/share/applications.

In short: The problem occurs maybe when the file named libreoffice-writer.desktop in ~/.local/share/applications was edited manually and therefor is not compatible anymore.

Displaying first 40 and last 40 comments. View all 174 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers